#
# spec file for package python-colorlog
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-colorlog
Version:        4.1.0
Release:        bp154.1.32
Summary:        Log formatting with colors
License:        MIT
URL:            https://github.com/borntyping/python-colorlog
Source:         https://files.pythonhosted.org/packages/source/c/colorlog/colorlog-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
colorlog.ColoredFormatter is a formatter for use with Python's logging module.
It allows colors to be placed in the format string, which is mostly useful
when paired with a StreamHandler that is outputting to a terminal.
This is accomplished by added a set of terminal color codes to the record
before it is used to format the string.

%prep
%setup -q -n colorlog-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest colorlog/tests/

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/colorlog
%{python_sitelib}/colorlog-%{version}-py%{python_version}.egg-info

%changelog
* Sat Mar 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Sat Jan 18 2020 Antonio Larrosa <alarrosa@suse.com>
- Update to 4.1.0:
  * Fix for LevelFormatter in Python >= 3.8
  * Wrapped lines to match the rest of the code
  * Add check if fmt is dict, missed an elif
  * Test only on all currently supported python versions
  * Suppress docstring section related errors
  * Update classifiers to reflect supported versions of Python
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Thu Feb 28 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 4.0.2:
  * Minor typo fixes
* Wed Jan 16 2019 mvetter@suse.com
- Update to 4.0.0:
  * Breaking change: TTYColoredFormatter requires the stream
    argument, avoiding checking the wrong stream and still
  displaying colors when it shouldn't.
  * Includes some other minor changes, and attempts to close the
    last few months worth of minor issues (#54, #62, #64, #65).
- Changes from 3.1.0:
  * This removed the use of parse_colors directly in format
    strings, as it relied on an implementation specific detail of
  Python 2 and was broken on Python 3
- Install LICENSE
- Run tests
* Wed Mar  1 2017 aloisio@gmx.com
- Converted to singlespec
* Thu Jan 26 2017 jengelh@inai.de
- Description fixes
* Fri Dec 16 2016 aloisio@gmx.com
- Update to version 2.10.0
  * Parameterise test_ttycolorlog to mock isatty()
  * Add a TTYColoredFormatter class
  * Remove qutebrowser from projects using colorlog
* Mon Oct 10 2016 mardnh@gmx.de
- Update to version 2.7.0
  + Adds a level based formatter
- Fix source url
- minor spec-cleanups
* Wed Feb 11 2015 aloisio@gmx.com
- Initial version 2.6.0
